%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:          ocaml-ocamlbuild
Version:       0.14.0
Release:       %mkrel 8
Group:         Development/OCaml
Summary:       Build tool for OCaml libraries and programs

License:       LGPLv2 with exceptions

URL:           https://github.com/ocaml/ocamlbuild
Source0:       https://github.com/ocaml/ocamlbuild/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: ocaml >= 4.04.0


%description
OCamlbuild is a build tool for building OCaml libraries and programs.


%package devel
Summary:       Development files for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}


%description devel
This package contains development files for %{name}.


%package doc
Summary:       Documentation for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}


%description doc
This package contains the manual for %{name}.


%prep
%setup -q -n ocamlbuild-%{version}


%build
make configure \
  OCAMLBUILD_PREFIX=%{_prefix} \
  OCAMLBUILD_BINDIR=%{_bindir} \
  OCAMLBUILD_LIBDIR=%{_libdir}/ocaml \
  OCAMLBUILD_MANDIR=%{_mandir} \
%ifarch %{ocaml_native_compiler}
  OCAML_NATIVE=true \
  OCAML_NATIVE_TOOLS=true
%else
  OCAML_NATIVE=false \
  OCAML_NATIVE_TOOLS=false
%endif

# Parallel builds fail.
make \
%ifarch %{ocaml_native_compiler}
     OCAMLC="ocamlc.opt -g" \
     OCAMLOPT="ocamlopt.opt -g"
%else
     OCAMLC="ocamlc -g" \
     OCAMLOPT="ocamlopt -g"
%endif


%install
make install \
     DESTDIR=$RPM_BUILD_ROOT \
     CHECK_IF_PREINSTALLED=false

# The install copies ocamlbuild & ocamlbuild.{byte or native}.
# Symlink them instead.
pushd $RPM_BUILD_ROOT/usr/bin
%ifarch %{ocaml_native_compiler}
ln -sf ocamlbuild.native ocamlbuild
%else
ln -sf ocamlbuild.byte ocamlbuild
%endif
popd

%files
%doc Changes Readme.md VERSION
%license LICENSE
%{_bindir}/ocamlbuild
%{_bindir}/ocamlbuild.byte
%ifarch %{ocaml_native_compiler}
%{_bindir}/ocamlbuild.native
%endif
%{_mandir}/man1/ocamlbuild.1*
%{_libdir}/ocaml/ocamlbuild
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/ocamlbuild/*.a
%exclude %{_libdir}/ocaml/ocamlbuild/*.o
%exclude %{_libdir}/ocaml/ocamlbuild/*.cmx
%exclude %{_libdir}/ocaml/ocamlbuild/*.cmxa
%endif
%exclude %{_libdir}/ocaml/ocamlbuild/*.mli


%files devel
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/ocamlbuild/*.a
%{_libdir}/ocaml/ocamlbuild/*.o
%{_libdir}/ocaml/ocamlbuild/*.cmx
%{_libdir}/ocaml/ocamlbuild/*.cmxa
%endif
%{_libdir}/ocaml/ocamlbuild/*.mli


%files doc
%license LICENSE
%doc manual/*




%changelog
* Wed May 18 2022 pterjan <pterjan> 0.14.0-8.mga9
+ Revision: 1858772
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.14.0-7.mga9
+ Revision: 1832098
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 0.14.0-6.mga9
+ Revision: 1750667
- OCaml 4.13.1 build
- Specify OCAMLBUILD_MANDIR to fix man page installation

* Tue Mar 02 2021 tv <tv> 0.14.0-5.mga9
+ Revision: 1696254
- rebuild for ocaml-4.2-12

* Fri Aug 21 2020 umeabot <umeabot> 0.14.0-4.mga8
+ Revision: 1617571
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.14.0-3.mga8
+ Revision: 1551166
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.14.0-2.mga8
+ Revision: 1543228
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 0.14.0-1.mga8
+ Revision: 1481511
- new release + rebuild for ocaml-4.10

* Wed Oct 24 2018 pterjan <pterjan> 0.12.0-7.mga7
+ Revision: 1325081
- Do not delete META file, else ocaml-ocamlfind doesn't find the package

* Wed Oct 24 2018 tv <tv> 0.12.0-6.mga7
+ Revision: 1324981
- remove old temp fix now that we've ocaml-srpm-macros

* Tue Oct 23 2018 tv <tv> 0.12.0-5.mga7
+ Revision: 1324055
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.12.0-4.mga7
+ Revision: 1323770
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.12.0-3.mga7
+ Revision: 1299904
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 tv <tv> 0.12.0-2.mga7
+ Revision: 1192950
- fix having cmxa in non devel, thus fixing ton of 'Failure: Cannot find "ocamlbuild.cmx"'

* Sat Jan 06 2018 tv <tv> 0.12.0-1.mga7
+ Revision: 1190615
- new release
- use native build
- fix missing file of oasis

* Sat Nov 25 2017 tv <tv> 0.11.0-1.mga7
+ Revision: 1179154
- imported package ocaml-ocamlbuild

